Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233728 - RFE: Enable colour customisation of RHGB using config file.
Summary: RFE: Enable colour customisation of RHGB using config file.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rhgb
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-24 03:39 UTC by Keith G. Robertson-Turner
Modified: 2008-05-15 22:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-15 20:56:34 UTC


Attachments (Terms of Use)

Description Keith G. Robertson-Turner 2007-03-24 03:39:50 UTC
Description of problem:
Currently, the colour used by RHGB are hard coded into the binary. This is an
RFE for easy customisation of the colours, by using a simple configuration file
in /etc. This could also facilitate other customisation such as custom logos, etc. 

Version-Release number of selected component (if applicable):
ALL

How reproducible:
Always

Steps to Reproduce:
1. None. RFE only.
2.
3.
  
Actual results:
Hard coded colours.

Expected results:
Customisable colours.

Additional info:
Although this is relatively easy to customise and rebuild from source, its still
a minor annoyance. Please consider this RFE.

Comment 1 Jon Stanley 2008-04-23 20:28:51 UTC
Adding FutureFeature keyword to RFE's.

Comment 2 Matthias Clasen 2008-05-15 20:56:34 UTC
rhgb will be gone in F10

Comment 3 Keith G. Robertson-Turner 2008-05-15 22:04:29 UTC
Just so anyone who reads this knows why:

https://www.redhat.com/archives/fedora-devel-list/2008-May/msg00954.html


Note You need to log in before you can comment on or make changes to this bug.